package com.koossery.alfresco.customcontent.model;

import org.alfresco.service.namespace.QName;
/**
 * Definition of Custom Product Content model
 * 
 * @author Landry KOUAM
 *
 */

public interface ProductModel {

    static final String PRODUCT_MODEL_URI = "http://www.koossery-tech.com/model/product/1.0";
    static final String PRODUCT_MODEL_PREFIX = "product";
    
    //Types
    static final QName TYPE_PRODUCT = QName.createQName(PRODUCT_MODEL_URI, "product");
    static final QName TYPE_IMAGE = QName.createQName(PRODUCT_MODEL_URI, "picture");
   
    
    // TYPE_GOODS Properties
    static final QName PROP_NAME = QName.createQName(PRODUCT_MODEL_URI, "name");
    static final QName PROP_DESCRIPTION = QName.createQName(PRODUCT_MODEL_URI, "description");
    static final QName PROP_REF = QName.createQName(PRODUCT_MODEL_URI, "ref");
    static final QName PROP_PRIZE = QName.createQName(PRODUCT_MODEL_URI, "prize");
    static final QName PROP_STOCK = QName.createQName(PRODUCT_MODEL_URI, "stock");

    // TYPE_IMAGE Properties
    static final QName PROP_PICTURELEGEND = QName.createQName(PRODUCT_MODEL_URI, "pictureLegend");
     
    //The association
    static final QName ASSOC_IMAGE = QName.createQName(PRODUCT_MODEL_URI, "image");
}
