package com.koossery.alfresco.customcontent.util;

import javax.faces.context.FacesContext;

import org.alfresco.service.cmr.repository.NodeRef;
import org.alfresco.web.bean.NavigationBean;


/**
 * 
 * @author Landry KOUAM
 *
 */
public class CustomContentUtils {

	// --------------------------------
	// Nodes references of folders containers
	
	// Current Container node reference
	private static NodeRef containerNodeRef;
				
	
	/**
	 * Gets current container node reference
	 * @return
	 */
	public static NodeRef getCurrentContainerNodeRef(){
		
		FacesContext fc = FacesContext.getCurrentInstance();
			
		NavigationBean navBean = (NavigationBean)fc.getExternalContext().getSessionMap().get(NavigationBean.BEAN_NAME);
		containerNodeRef = navBean.getCurrentNode().getNodeRef();
		
		return containerNodeRef;
	}
	
	public static NodeRef getGuestHome(){
		FacesContext fc = FacesContext.getCurrentInstance();
		
		NavigationBean navBean = (NavigationBean)fc.getExternalContext().getSessionMap().get(NavigationBean.BEAN_NAME);
		return navBean.getGuestHomeNode().getNodeRef();
	
	}
	





}
