package com.koossery.alfresco.web.data;

import java.io.InputStream;

import org.alfresco.service.cmr.repository.NodeRef;
/**
 * Product DATA
 * 
 * @author Landry KOUAM
 *
 */
public class ProductData extends AbstractBaseData{

	private static final long serialVersionUID = -7518597103578727798L;

	private String name;
	private String description;
	private String ref;
	private float prize;
	private int stock;
	private NodeRef nodeRef;
	
	private InputStream fileInputStream;

	private String photoLegend;
	private NodeRef photoNodeRef;
	private String photoFileName = null;
	private InputStream photoInputStream = null;
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getRef() {
		return ref;
	}
	public void setRef(String ref) {
		this.ref = ref;
	}
	public float getPrize() {
		return prize;
	}
	public void setPrize(float prize) {
		this.prize = prize;
	}
	public int getStock() {
		return stock;
	}
	public void setStock(int stock) {
		this.stock = stock;
	}
	public String getPhotoLegend() {
		return photoLegend;
	}
	public void setPhotoLegend(String photoLegend) {
		this.photoLegend = photoLegend;
	}
	public NodeRef getPhotoNodeRef() {
		return photoNodeRef;
	}
	public void setPhotoNodeRef(NodeRef photoNodeRef) {
		this.photoNodeRef = photoNodeRef;
	}
	public String getPhotoFileName() {
		return photoFileName;
	}
	public void setPhotoFileName(String photoFileName) {
		this.photoFileName = photoFileName;
	}
	public InputStream getPhotoInputStream() {
		return photoInputStream;
	}
	public void setPhotoInputStream(InputStream photoInputStream) {
		this.photoInputStream = photoInputStream;
	}
	public NodeRef getNodeRef() {
		return nodeRef;
	}
	public void setNodeRef(NodeRef nodeRef) {
		this.nodeRef = nodeRef;
	}
	public InputStream getFileInputStream() {
		return fileInputStream;
	}
	public void setFileInputStream(InputStream fileInputStream) {
		this.fileInputStream = fileInputStream;
	}
	
	
}
